HomeGuidesAPI Reference
API Reference

Approve Merchant

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Approve a merchant onboarding request and create a live merchant.


Endpoint

POST https://demo-api.edfapay.com/api/v1/merchant-onboard/approve/{merchant_id}


Path Parameters

FieldTypeRequiredDescription
merchant_idUUIDYesOnboarding merchant ID

Request Body

FieldTypeRequiredDescription
nameStringYesMerchant name
emailAddressStringYesEmail
mobileNumberStringYesPhone
nameARStringYesArabic name
countryStringYesCountry
cityStringYesCity
activeBooleanYesStatus
registeredMobileNumberStringYesPhone
currencyCodeStringYesCurrency
businessCategoryIdUUIDYesCategory

Request Example

curl --location 'https://demo-api.edfapay.com/api/v1/merchant-onboard/approve//xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
  "name": "Test User",
  "emailAddress": "[email protected]",
  "mobileNumber": "+966-500000000",
  "nameAR": "Test User",
  "country": "682",
  "city": "1",
  "active": true,
  "registeredMobileNumber": "+966-500000000",
  "currencyCode": "682",
  "businessCategoryId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "parentBusinessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}'

Response Body

FieldTypeDescription
codeIntegerStatus
messageStringMessage
dataObjectMerchant data

Response Example

{
    "code": 200,
    "message": "Success",
    "errorCode": null,
    "data": "Successfuly approved"
}

⚠️

Important

Approval will create the merchant and activate it immediately


Path Params
string
required
Body Params
Headers
string
Response

Language
Credentials
Bearer
LoadingLoading…